<?php
namespace Claromentis\Infocapture\Model;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_bd71c3b5c201fc11db" . "82ed14ce424de5" => base64_decode("aW5fYXJyYX" . "k="), "fiel" . "ds" => base64_decode("Zmll" . "bGRz"), "nam" . "e" => base64_decode("bmFtZQ=" . "="), "_4d707fab93b" . "ebb00bbe69e8" . "159697c90" => base64_decode(""), "projec" . "t_id" => base64_decode("cHJvamVj" . "dF9pZA=="), "_ea8229a121285ee649a" . "72fd880bac39b" => base64_decode("YXJyYXlfZ" . "mlsdGVy"), "i" . "d" => base64_decode("a" . "W" . "Q" . "="));










class ICFieldGroup
{
    const COLUMNS = ['id', 'project_id', 'name'];
    protected $info;
    protected $actual_fields;
    public function __construct()
    {
        $this->info = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"] => 0, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["project_" . "id"] => 0, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["nam" . "e"] => $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93bebb00bbe69e815969" . "7c90"]];
        $this->actual_fields = null;
    }
    
    
    
    
    
    public function __get($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bd71c3b5c201fc" . "11db82ed14ce424" . "de5"]($name, self::COLUMNS)) {
            return $this->info[$name];
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["fie" . "lds"]) {
            return $this->actual_fields;
        } else {
            return null;
        }
    }
    public function RemoveField(string $name)
    {
        if (isset($this->actual_fields)) {
            $this->actual_fields = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_ea8229a121285ee649a72fd" . "880bac39b"]($this->actual_fields, function ($_639c656f6865ab6b445853d34bc56534) use($name) {
                return $_639c656f6865ab6b445853d34bc56534 !== $name;
            });
        }
    }
    public function AddField(string $name)
    {
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_bd71c3b5c201fc11db82ed14ce4" . "24de5"]($name, $this->actual_fields)) {
            $this->actual_fields[] = $name;
        }
    }
    public function __set($name, $value)
    {
        if ($name === $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["i" . "d"]) {
            throw new \InvalidArgumentException();
        } elseif ($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_bd71c3b5c201fc11db82ed14ce424d" . "e5"]($name, self::COLUMNS)) {
            $this->info[$name] = $value;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["fi" . "el" . "ds"]) {
            $this->actual_fields = $value;
        } else {
            throw new \InvalidArgumentException();
        }
    }
    public function __isset($name)
    {
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_bd71c3b5c201fc11db82e" . "d14ce424de5"]($name, self::COLUMNS)) {
            return true;
        } elseif ($name === $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["fi" . "el" . "ds"]) {
            return isset($this->actual_fields);
        } else {
            return false;
        }
    }
    
    
    
    
    
    
    public function setInfo(array $info)
    {
        $this->info = $info;
    }
}